ColumnSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class ColumnSerializer

- java.lang.Object
- - org.apache.cassandra.db.ColumnSerializer

- All Implemented Interfaces:
    ISerializer<Cell>

      public class ColumnSerializer
      extends java.lang.Object
      implements ISerializer<Cell>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnSerializer.CorruptColumnException`
    `static class` | `ColumnSerializer.Flag` Flag affecting deserialization behavior.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COUNTER_MASK`
    `static int` | `COUNTER_UPDATE_MASK`
    `static int` | `DELETION_MASK`
    `static int` | `EXPIRATION_MASK`
    `static int` | `RANGE_TOMBSTONE_MASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnSerializer(CellNameType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cell` | `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
    `Cell` | `deserialize(java.io.DataInput in, ColumnSerializer.Flag flag)`
    `Cell` | `deserialize(java.io.DataInput in, ColumnSerializer.Flag flag, int expireBefore)`
    `void` | `serialize(Cell cell, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
    `long` | `serializedSize(Cell cell, TypeSizes typeSizes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETION_MASK

          public static final int DELETION_MASK

      See Also:
        Constant Field Values

    - #### EXPIRATION_MASK

          public static final int EXPIRATION_MASK

      See Also:
        Constant Field Values

    - #### COUNTER_MASK

          public static final int COUNTER_MASK

      See Also:
        Constant Field Values

    - #### COUNTER_UPDATE_MASK

          public static final int COUNTER_UPDATE_MASK

      See Also:
        Constant Field Values

    - #### RANGE_TOMBSTONE_MASK

          public static final int RANGE_TOMBSTONE_MASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColumnSerializer

          public ColumnSerializer(CellNameType type)

  - ### Method Detail

    - #### serialize

          public void serialize(Cell cell,
                                DataOutputPlus out)
                         throws java.io.IOException

      Description copied from interface: `ISerializer`
      Serialize the specified type into the specified DataOutput instance.
      Specified by:
        `serialize` in interface `ISerializer<Cell>`
      Parameters:
        `cell` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserialize

          public Cell deserialize(java.io.DataInput in)
                           throws java.io.IOException

      Description copied from interface: `ISerializer`
      Deserialize from the specified DataInput instance.
      Specified by:
        `deserialize` in interface `ISerializer<Cell>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### deserialize

          public Cell deserialize(java.io.DataInput in,
                                  ColumnSerializer.Flag flag)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Cell deserialize(java.io.DataInput in,
                                  ColumnSerializer.Flag flag,
                                  int expireBefore)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(Cell cell,
                                     TypeSizes typeSizes)

      Specified by:
        `serializedSize` in interface `ISerializer<Cell>`

Copyright © 2018 The Apache Software Foundation